<?php
// File: $Id: header.php,v 1.24 2004/04/24 10:30:19 markwest Exp $ $Name:  $
// ----------------------------------------------------------------------
// PostNuke Content Management System
// Copyright (C) 2001 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

if (eregi("header.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

/**
 * Include some common header for HTML generation.
 *
 * XHTML Support by Matt Jarjoura. <mjarjo1@umbc.edu>
 */

$header = 1;

function head() {

    global $index,
        $artpage,
        $topic,
        $hlpfile,
        $hr,
        $theme,
        $bgcolor1,
        $bgcolor2,
        $bgcolor3,
        $bgcolor4,
        $bgcolor5,
        $textcolor1,
        $textcolor2,
        $textcolor3,
        $textcolor4,
        $forumpage,
        $thename,
        $postnuke_theme,
		//$pntheme,
        $themename,
        $themeimages,
        $additional_header,
        $themeOverrideCategory,
        $themeOverrideStory;
		
	// modification mouzaia .71
	$cWhereIsPerso = WHERE_IS_PERSO;
	if ( !(empty($cWhereIsPerso)) ) { 
		include("modules/NS-Multisites/head.inc.php"); 
	} else {
		$thistheme = pnVarPrepForOs(pnUserGetTheme());
		global $themesarein;
		if (@file(WHERE_IS_PERSO."themes/".$thistheme."/theme.php")) {
			$themesarein = WHERE_IS_PERSO;
		} else {
			$themesarein = "";
		}
	}

	if (@!$GLOBALS['xanthia_theme']) {
		ob_start();
		echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
		echo "<html>\n<head>\n";

		if (defined("_CHARSET") && _CHARSET != "") {
				echo "<meta http-equiv=\"Content-Type\" ".
						 "content=\"text/html; charset="._CHARSET."\">\n";
		}
	
		if ($artpage==1) {
			/**
			 * article page output
			 */
			global $info, $hometext;
			echo "<title>$info[title] :: ".pnConfigGetVar('sitename').' :: '.pnConfigGetVar('slogan')."</title>\n";
			if (pnConfigGetVar('dyn_keywords') == 1) {
			   $htmlless = check_html($info['maintext'], $strip ='nohtml');
			   $symbolLess = trim(ereg_replace('("|\?|!|:|\.|\(|\)|;|\\\\)+', ' ', $htmlless));
			   $keywords = ereg_replace('( |'.CHR(10).'|'.CHR(13).')+', ',', $symbolLess);
			   $metatags = ereg_replace(",+", ",",$keywords);
			   echo "<meta http-equiv=\"Keywords\" content=\"$metatags\">\n";
			} else {
			   echo "<meta name=\"KEYWORDS\" content=\"".pnConfigGetVar('metakeywords')."\">\n";
			}
		} else {
			/**
			 * all other page output
			 */
			echo '<title>'.pnConfigGetVar('sitename').' :: '.pnConfigGetVar('slogan')."</title>\n";
			echo '<meta name="KEYWORDS" content="'.pnConfigGetVar('metakeywords')."\">\n";
		}
		echo '<meta name="DESCRIPTION" content="'.pnConfigGetVar('slogan')."\">\n";
		echo "<meta name=\"ROBOTS\" content=\"INDEX,FOLLOW\">\n";
		echo "<meta name=\"resource-type\" content=\"document\">\n";
		echo "<meta http-equiv=\"expires\" content=\"0\">\n";
		echo '<meta name="author" content="'.pnConfigGetVar('sitename')."\">\n";
		echo '<meta name="copyright" content="Copyright (c) 2003 by '.pnConfigGetVar('sitename')."\">\n";
		echo "<meta name=\"revisit-after\" content=\"1 days\">\n";
		echo "<meta name=\"distribution\" content=\"Global\">\n";
		echo '<meta name="generator" content="PostNuke '._PN_VERSION_NUM." - http://postnuke.com\">\n";
		echo "<meta name=\"rating\" content=\"General\">\n";
	
		global $themesarein;
	
		echo "<link rel=\"StyleSheet\" href=\"".$themesarein."themes/".$thistheme."/style/styleNN.css\" type=\"text/css\">\n";
		echo "<style type=\"text/css\">";
		echo "@import url(\"".$themesarein."themes/".$thistheme."/style/style.css\"); ";
		echo "</style>\n";
	
		echo "<script type=\"text/javascript\" src=\"javascript/showimages.js\"></script>\n\n";
		echo "<script type=\"text/javascript\" src=\"javascript/openwindow.js\"></script>\n\n";
 echo "<script type=\"text/javascript\">
function adjustIFrameSize (iframeWindow) {
  if (iframeWindow.document.height) {
    var iframeElement = parent.document.getElementById
(iframeWindow.name);
    iframeElement.style.height = iframeWindow.document.height + 40 + 'px';
    iframeElement.style.width = iframeWindow.document.width + 10 + 'px';
  }
  else if (document.all) {
    var iframeElement = parent.document.all[iframeWindow.name];
    if (iframeWindow.document.compatMode &&
        iframeWindow.document.compatMode != 'BackCompat')
    {
      iframeElement.style.height =
iframeWindow.document.documentElement.scrollHeight + 5 + 'px';
      iframeElement.style.width =
iframeWindow.document.documentElement.scrollWidth + 15 + 'px';
    }
    else {
      iframeElement.style.height =
iframeWindow.document.body.scrollHeight + 5 + 'px';
      iframeElement.style.width =
iframeWindow.document.body.scrollWidth + 15 + 'px';
    }
  }
}
</script>\n\n";
	 
		if(isset($additional_header)) {
			echo @implode("\n", $additional_header);
		}
	}

	themeheader();
}



/**
 * if you want to do overrides, set the global vars $themeOverrideCategory
 * and/or $themeOverrideStory before including header.php
 */
head();
?>
